import { WidgetAdapter } from '../adapter';
import { FileEditor } from '@jupyterlab/fileeditor';
import { IDocumentWidget } from '@jupyterlab/docregistry';
import { CodeMirrorEditor } from '@jupyterlab/codemirror';
import { CodeEditor } from '@jupyterlab/codeeditor';
import { LSPExtension } from '../../index';
import { IVirtualPosition } from '../../positioning';
import { ICommandContext } from '../../command_manager';
import { IVirtualEditor } from '../../virtual/editor';
import IEditor = CodeEditor.IEditor;
import { VirtualDocument } from '../../virtual/document';
export declare class FileEditorAdapter extends WidgetAdapter<IDocumentWidget<FileEditor>> {
    editor: FileEditor;
    virtual_editor: IVirtualEditor<IEditor>;
    get document_path(): string;
    get mime_type(): string;
    get language_file_extension(): string;
    get ce_editor(): CodeMirrorEditor;
    get activeEditor(): CodeEditor.IEditor;
    constructor(extension: LSPExtension, editor_widget: IDocumentWidget<FileEditor>);
    get_editor_index(ce_editor: CodeEditor.IEditor): number;
    get_editor_wrapper(ce_editor: CodeEditor.IEditor): HTMLElement;
    get wrapper_element(): HTMLElement;
    get path(): string;
    context_from_active_document(): ICommandContext;
    get_editor_index_at(position: IVirtualPosition): number;
    get editors(): CodeEditor.IEditor[];
    create_virtual_document(): VirtualDocument;
}
