import { ILSPCodeExtractorsManager, PLUGIN_ID } from "../../tokens";
import { foreign_code_extractors } from "./extractors";
import { ILSPCodeOverridesManager } from "../../overrides/tokens";
import { overrides } from "./overrides";
export const IPYTHON_EXTENSION = {
    id: PLUGIN_ID + ':extension-ipython',
    requires: [ILSPCodeExtractorsManager, ILSPCodeOverridesManager],
    activate: (app, extractors_manager, overrides_manager) => {
        for (let language of Object.keys(foreign_code_extractors)) {
            for (let extractor of foreign_code_extractors[language]) {
                extractors_manager.register(extractor, language);
            }
        }
        for (let override of overrides) {
            overrides_manager.register(override, 'python');
        }
    },
    autoStart: true
};
//# sourceMappingURL=index.js.map