import { LabIcon } from '@jupyterlab/ui-components';
import { IThemeManager } from '@jupyterlab/apputils';
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { ICompletionIconSet, ICompletionTheme, ILSPCompletionThemeManager } from './types';
export declare class CompletionThemeManager implements ILSPCompletionThemeManager {
    protected themeManager: IThemeManager;
    protected current_icons: Map<string, LabIcon>;
    protected themes: Map<string, ICompletionTheme>;
    private current_theme_id;
    private icons_cache;
    constructor(themeManager: IThemeManager);
    protected is_theme_light(): boolean;
    get_icons_set(theme: ICompletionTheme): Map<keyof ICompletionIconSet, LabIcon>;
    protected update_icons_set(): void;
    get_icon(type: string): LabIcon;
    protected get current_theme_class(): string;
    set_theme(id: string | null): void;
    protected get current_theme(): ICompletionTheme | null;
    register_theme(theme: ICompletionTheme): void;
    /**
     * Display the registered themes in a dialog,
     * both for the user to know what they can choose from,
     * and for the developer to quickly check how the icons
     * from each theme would look rendered.
     */
    display_themes(): void;
}
export declare const COMPLETION_THEME_MANAGER: JupyterFrontEndPlugin<ILSPCompletionThemeManager>;
